edu.northwestern.at.morphadorner.tools.mergewordlists

## Class MergeWordLists

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.mergewordlists.MergeWordLists

-     public class MergeWordLists
      extends java.lang.Object

  Merge word lists.

  Usage:

  java edu.northwestern.at.morphadorner.tools.mergewordlists.MergeWordLists output.txt input.txt input2.txt ...
  output.txt -- output merged word list file.
  input*.txt -- input text files containing word lists to be merged.

  The output file is a utf-8 text file containing the merged word list from the input files. Only one copy of a word is output if it appears multiple times. The merged words appear in ascending alphanumeric order in the output file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Set<java.lang.String>` | `mergedWordSet` Merged word list.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MergeWordLists()` Allow overrides but not instantiation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `loadAndMergeWords(java.lang.String inputFileName)` Merge word lists from a file.
    `static void` | `main(java.lang.String[] args)` Main program.
    `protected static void` | `saveMergedWords(java.lang.String outputFileName)` Save the merged word lists.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mergedWordSet

          protected static java.util.Set<java.lang.String> mergedWordSet

      Merged word list.

  - ### Constructor Detail

    - #### MergeWordLists

          protected MergeWordLists()

      Allow overrides but not instantiation.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.

    - #### loadAndMergeWords

          protected static void loadAndMergeWords(java.lang.String inputFileName)
                                           throws java.lang.Exception

      Merge word lists from a file.
      Throws:
        `java.lang.Exception`

    - #### saveMergedWords

          protected static void saveMergedWords(java.lang.String outputFileName)
                                         throws java.lang.Exception

      Save the merged word lists.
      Throws:
        `java.lang.Exception`